<?php

/**
 * The template for displaying the footer
 * Contains the closing of the #content div and all content after.
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @package Paragon Themes
 * @subpackage Nexas
 */

$copyright = nexas_get_option( 'nexas_copyright' );

$powered_text = nexas_get_option( 'nexas_powered_text' );

if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) {

	$count = 0;

	for ( $i = 1; $i <= 4; $i ++ ) {

		if ( is_active_sidebar( 'footer-' . $i ) ) {

			$count ++;

		}

	}

	$column = 3;

	if ( $count == 4 ) {

		$column = 3;

	} elseif ( $count == 3 ) {
		$column = 4;
	} elseif ( $count == 2 ) {

		$column = 6;

	} elseif ( $count == 1 ) {

		$column = 12;

	}

	?>

    <section id="footer-top" class="footer-top">

        <div class="container">

            <div class="row">

				<?php

				for ( $i = 1; $i <= 4; $i ++ ) {

					if ( is_active_sidebar( 'footer-' . $i ) ) {

						?>

                        <div class="col-md-3">

                            <div class="footer-top-box wow fadeInUp">

								<?php dynamic_sidebar( 'footer-' . $i ); ?>

                            </div>

                        </div>

					<?php }

				}


				?>


            </div>


        </div>


    </section>

<?php } ?>


<section id="footer-bottom" class="footer-bottom">

    <div class="container">

        <div class="row">

            <div class="col-sm-6">

                <div class="copyright">

					<?php echo wp_kses_post( $copyright ); ?>

                </div>

                <div class="footer-credit">

					<?php if ( ! empty( $powered_text ) ) : ?>

                        <p><?php echo $powered_text; ?></p>

					<?php endif; ?>

                </div>

            </div>

            <div class="col-sm-6">

				<?php
				/*
				* Footer menu Section
				*/
				do_action( 'nexas_show_footer_menu' );

				/*
				* Footer social Section
				*/
				do_action( 'nexas_show_footer_social' );
				?>
            </div>

			<?php
			/*
			/* Footer Go to Top
			*/
			do_action( 'nexas_go_to_top_hook' );
			?>
        </div>

    </div>

</section>

<?php wp_footer(); ?>

</body>

</html>

