<?php
/**
 * enqueue Script for admin dashboard.
 */

if (!function_exists('nexas_widgets_backend_enqueue')) :
    function nexas_widgets_backend_enqueue($hook)
    {
    if ('widgets.php' != $hook) {
            return;
        }

       

        wp_enqueue_style('nexas-pt-admin', get_template_directory_uri() . '/assets/css/pt-admin-css.css', array(), '2.0.0');  

         wp_register_script('nexas-custom-widgets', get_template_directory_uri() . '/assets/js/widgets.js', array('jquery'), true);
        wp_enqueue_media();
        wp_enqueue_script('nexas-custom-widgets');
    }

    add_action('admin_enqueue_scripts', 'nexas_widgets_backend_enqueue');
endif;

/**
 * enqueue Admins style for admin dashboard.
 */

if ( !function_exists( 'nexas_admin_css_enqueue' ) ) :
    
    function nexas_admin_css_enqueue($hook)
    
    {
        if ( 'post.php' != $hook ) {
            return;
        }
        wp_enqueue_style('nexas-admin', get_template_directory_uri() . '/assets/css/admin.css', array(), '2.0.0');

        wp_register_script('nexas-page-builder-widgets', get_template_directory_uri() . '/assets/js/page-builder-widgets.js', array('jquery'), true);
        wp_enqueue_media();
        wp_enqueue_script('nexas-page-builder-widgets');

        
         }
    add_action('admin_enqueue_scripts', 'nexas_admin_css_enqueue');
endif;


if ( !function_exists( 'nexas_admin_css_enqueue_new_post')) :
    
    function nexas_admin_css_enqueue_new_post( $hook )
    
    {
        if ( 'post-new.php' != $hook ) {
            return;
        }
        wp_enqueue_style('nexas-admin', get_template_directory_uri() . '/assets/css/admin.css', array(), '2.0.0');


      wp_register_script('nexas-page-builder-widget', get_template_directory_uri() . '/assets/js/page-builder-widgets.js', array('jquery'), true);

        wp_enqueue_media();

        wp_enqueue_script('nexas-page-builder-widget');
    }
    add_action( 'admin_enqueue_scripts', 'nexas_admin_css_enqueue_new_post' );
endif;

/**
 * Functions for get_theme_mod()
 *
 * @package Paragon Themes
 * @subpackage Nexas
 */

if ( !function_exists( 'nexas_get_option' ) ) :

    /**
     * Get theme option.
     *
     * @since 1.0.0
     *
     * @param string $key Option key.
     * @return mixed Option value.
     */
    function nexas_get_option( $key = '' )
    {
        if (empty( $key ) ) {
            return;
        }
        $nexas_default_options = nexas_get_default_theme_options();

        $default      = (isset($nexas_default_options[$key])) ? $nexas_default_options[$key] : '';

        $theme_option = get_theme_mod($key, $default);

        return $theme_option;

    }

endif;

/**
 * WooCommerce Cart Icons
 * =====================================
 */
if ( !function_exists('nexas_woocommerce_cart_icon') ) :
    function nexas_woocommerce_cart_icon() {
        $woocommerce_cart = nexas_get_option('nexas_header_cart_icon');
        if( 1 == $woocommerce_cart && class_exists( 'WooCommerce' ) ) {
            global $woocommerce;
            $cart_url = wc_get_cart_url(); ?>
            <div class="cart-wrap desktop-only">
                <div class="pt-cart-views">
                    <a href="<?php echo esc_url( $cart_url ); ?>" class="cart-contents">
                        <i class="fa fa-shopping-cart"></i>
                        <span class="cart-value"><?php echo wp_kses_post ( WC()->cart->cart_contents_count ); ?></span>
                    </a>
                </div>
                <?php the_widget( 'WC_Widget_Cart', 'nexas' ); ?>
            </div>
            <?php
         }
    }
add_action( 'header_woocommerce_cart_icon', 'nexas_woocommerce_cart_icon' );
endif;

/**
 * Search Icons
 * =====================================
 */
if ( !function_exists('nexas_search_icon') ) :
    function nexas_search_icon() {
        $search_icon = nexas_get_option('nexas_header_search_icon');
        if( 1 == $search_icon ) {  ?>
            <span class="search-toggle visible-lg-block"><i class="fa fa-search"></i></span>
            <div id="header-search-box" class="search-box-wrapper">
                <div class="search-box">
                    <?php get_search_form(); ?>
                </div>
            </div>
        <?php
        
         }
    }
add_action( 'header_search_icon', 'nexas_search_icon' );
endif;

/**
 * footer menu
 * =====================================
 */
if ( ! function_exists('nexas_footer_menu') ) :
function nexas_footer_menu() {
$nexas_footer_menu = nexas_get_option('nexas_footer_menu');
if (has_nav_menu('footer') && $nexas_footer_menu ==1 ) {                    
        wp_nav_menu(array(
                'theme_location'  => 'footer',
                'depth'           => 1,
                'container'       => 'div',
                'container_class' => 'foot-menu',
                'container_id'    => 'foot-menu',
                'menu_class'      => 'nav navbar-nav pull-right',
                'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                'walker'          => new WP_Bootstrap_Navwalker()
            )
        );
    }
}
add_action( 'nexas_show_footer_menu', 'nexas_footer_menu', 20 );
endif;
/**
 * footer social
 * =====================================
 */
if ( !function_exists('nexas_footer_social') ) :
function nexas_footer_social() {
$nexas_footer_social = nexas_get_option('nexas_footer_social');
    if (has_nav_menu('social-link') && $nexas_footer_social ==1 ) {                    
        wp_nav_menu(array(
                'theme_location'  => 'social-link',
                'depth'           => 1,
                'container'       => 'div',
                'container_class' => 'social-links',
                'container_id'    => 'social-foot-menu',
                'menu_class'      => 'nav navbar-nav pull-right',
                'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                'walker'          => new WP_Bootstrap_Navwalker()
            )
        );
    }
}
add_action( 'nexas_show_footer_social', 'nexas_footer_social', 20 );
endif;

/**
 * Goto Top functions
 *
 * @since Nexas 1.0.0
 *
 */

if (!function_exists('nexas_go_to_top' )) :

				function nexas_go_to_top()
				{
						 $nexas_to_top = nexas_get_option('nexas_footer_go_to_top');                 
						 if( $nexas_to_top == 1 )
						 {
						?>
								<a id="toTop" class="go-to-top" href="#" title="<?php esc_attr_e('Go to Top', 'nexas'); ?>">
										<i class="fa fa-angle-double-up"></i>
								</a>
					<?php
						}
				}

add_action('nexas_go_to_top_hook', 'nexas_go_to_top', 20 );
endif;


/**
 * define size of logo.
 */

if (!function_exists('nexas_custom_logo_setup')) :
    function nexas_custom_logo_setup()
    {
        add_theme_support('custom-logo', array(
            'height' => 35,
            'width' => 190,
            'flex-width' => true,
        ));
    }

    add_action('after_setup_theme', 'nexas_custom_logo_setup');
endif;

/**
 * Display related posts from same category
 *
 * @since Nexas 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('nexas_related_post') ) :

    function nexas_related_post( $post_id ) {

        $related_post_hide = absint(nexas_get_option( 'nexas_related_post_show_hide'));
        $related_post_title = esc_html(nexas_get_option('nexas_related_post_title'));
        $related_post_image = nexas_get_option('nexas_related_hide_featured_image');
        $related_post_number = absint(nexas_get_option('nexas_related_post_number'));
        $related_posts_title = absint(nexas_get_option('nexas_related_posts_title_show'));
        $related_posts_excerpt = absint(nexas_get_option('nexas_related_posts_excerpt_show'));
        $related_post_meta = absint(nexas_get_option('nexas_related_posts_meta_options'));

        if( 0 == $related_post_hide ){
            return;
        }
        $categories = get_the_category( $post_id );
        if ($categories) {
            $category_ids = array();
            foreach ($categories as $category) {
                $category_ids[] = $category->term_id;
            }
            ?>
            <div class="related-pots-block">
                <h2 class="widget-title">
                    <?php echo esc_html_e($related_post_title); ?>
                </h2>
                <ul class="related-post clear row">
                    <?php
                    $nexas_cat_post_args = array(
                        'category__in'       => $category_ids,
                        'post__not_in'       => array($post_id),
                        'post_type'          => 'post',
                        'posts_per_page'     => $related_post_number,
                        'post_status'        => 'publish',
                        'ignore_sticky_posts'=> true
                    );
                    $nexas_featured_query = new WP_Query( $nexas_cat_post_args );

                    while ( $nexas_featured_query->have_posts() ) : $nexas_featured_query->the_post();
                        ?>
                        <div class="col-sm-4">
                            <li class=" related-box">
                                <?php
                                if ( has_post_thumbnail() && $related_post_image ):
                                    ?>
                                    <figure class="widget-image">
                                        <a href="<?php the_permalink()?>">
                                            <?php the_post_thumbnail('nexas-small-thumb'); ?>
                                        </a>
                                    </figure>
                                <?php
                                endif;

                                    if( $related_post_meta == 1 ) {
                                        /**
                                         * nexas_meta_fields_section hook
                                         * @since Nexas 1.0.0
                                         *
                                         * @hooked nexas_meta_fields_section_action -  10
                                         */
                                        do_action('nexas_meta_fields_section_action');
                                    } ?> 
                                <div class="featured-desc">
                                    <?php if( $related_posts_title == 1 ) { ?>
                                    <a href="<?php the_permalink()?>">
                                        <h2 class="title">
                                           <?php the_title(); ?>
                                        </h2>
                                        <?php if( $related_posts_excerpt == 1 ){ ?>
                                        <p>
                                            <?php echo esc_html( wp_trim_words( get_the_content(), 10) ); ?>
                                            </p>
                                        <?php } ?>
                                    </a>
                                    <?php } ?>
                                </div>
                            </li>
                        </div>
                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                </ul>
            </div> <!-- .related-post-block -->
        <?php
        }
    }
endif;
add_action( 'nexas_related_post_action', 'nexas_related_post', 10, 1 );

/**
 * author info
 *
 * @since Nexas 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('nexas_author_info_display') ) :

    function nexas_author_info_display( $post_id ) {
        /**
         * nexas_author information section 
         * @since Nexas 1.0.0
         *
        */
        $author_info_show_hide = absint(nexas_get_option('nexas_author_info_show_hide_section'));
            if( 1 == $author_info_show_hide ){
            get_template_part( 'template-parts/content', 'author');             
        }
 }
endif;
add_action( 'nexas_author_info_display_action', 'nexas_author_info_display', 10, 1 );

/**
 * Meta Fields in Post and Related
 *
 * @since Nexas 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('nexas_meta_fields_section') ) :

    function nexas_meta_fields_section( $post_id ) {
        /**
         * nexas_author information section 
         * @since Nexas 1.0.0
         *
        */
        ?>
        <div class="meta-fields">  
            <div class="date">
                <span><?php echo esc_html( get_the_date('M') ); ?></span>
                <span><?php echo esc_html( get_the_date('d') ); ?></span>
                <span><?php echo esc_html( get_the_date('Y') ); ?></span>
            </div>            
            <div class="text-left author-post">
              <a href="<?php echo esc_url( get_author_posts_url(get_the_author_meta('ID')) ); ?> "><?php the_author(); ?></a>
            </div>
        </div>
<?php  }
endif;
add_action( 'nexas_meta_fields_section_action', 'nexas_meta_fields_section', 10, 1 );


/**
 * Post Navigation in Single Post
 *
 * @since Nexas 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('nexas_post_navigation') ) :

    function nexas_post_navigation( $post_id ) {
            
            the_post_navigation(array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__('Next', 'nexas') . '</span> ' .
                    '<span class="screen-reader-text">' . esc_html__('Next post:', 'nexas'),
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__('Previous', 'nexas') . '</span> ' .
                    '<span class="screen-reader-text">' . esc_html__('Previous post:', 'nexas'),
            ));
}
endif;
add_action( 'nexas_post_navigation_action', 'nexas_post_navigation', 10, 1 );

/**
 * Post Navigation Function
 *
 * @since Nexas 1.0.0
 *
 * @param null
 * @return void
 *
 */
if (!function_exists('nexas_posts_navigation')) :
    function nexas_posts_navigation()
    {
        $pagination_types = nexas_get_option( 'nexas_blog_pagination_types' );

        if ('default' == $pagination_types) {
            the_posts_navigation();
        }
        else{
            global $wp_query;
            $big = 999999999; // need an unlikely integer
            echo paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                'format' => '?paged=%#%',
                'current' => max(1, get_query_var('paged')),
                'total' => $wp_query->max_num_pages,
                'prev_text' => __('&laquo; Prev', 'nexas'),
                'next_text' => __('Next &raquo;', 'nexas'),
            ));
        }
    }
endif;
add_action('nexas_action_navigation', 'nexas_posts_navigation', 10);

/**
 * Exclude category in blog page
 *
 * @since Nexas 1.0.0
 *
 * @param null
 * @return int
 */
if (!function_exists('nexas_exclude_category_in_blog_page')) :
    function nexas_exclude_category_in_blog_page($query)
    {

        if ($query->is_home && $query->is_main_query() || $query->is_archive && $query->is_main_query() ) {
            $catid = nexas_get_option('nexas_exclude_cat_blog_archive_option');
            $exclude_categories = $catid;
            if (!empty($exclude_categories)) {
                $cats = explode(',', $exclude_categories);
                $cats = array_filter($cats, 'is_numeric');
                $string_exclude = '';
                echo $string_exclude;
                if (!empty($cats)) {
                    $string_exclude = '-' . implode(',-', $cats);
                    $query->set('cat', $string_exclude);
                }
            }
        }
        return $query;
    }
endif;
add_filter('pre_get_posts', 'nexas_exclude_category_in_blog_page');


/**
 * Load Dynamic css.
 */
$dynamic_css_options = nexas_get_option('nexas_color_reset_option');

if ($dynamic_css_options == "do-not-reset" || $dynamic_css_options == "") {

    include get_template_directory() . '/paragonthemes/hooks/dynamic-css.php';

} elseif ($dynamic_css_options == "reset-all") {
    do_action('nexas_colors_reset');
}


/**
 * Sanitize Multiple Category
 * =====================================
 */

if ( !function_exists('nexas_sanitize_multiple_category') ) :

function nexas_sanitize_multiple_category( $values ) {

    $multi_values = !is_array( $values ) ? explode( ',', $values ) : $values;

    return !empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
}

endif;

/**
 * remove [..] from excerpt
 * =====================================
 */
function nexas_excerpt_more( $more ) {
    if( !is_admin() ){
     return '';
    }
}
add_filter('excerpt_more', 'nexas_excerpt_more');



/**
 * Load Metabox file
 * =====================================
 *
 * /**
 * Metabox for Page Layout Option
 */

require get_template_directory() . '/paragonthemes/metabox/metabox-defaults.php';

/**
 * Metabox for Fontawesome Class
 */

require get_template_directory() . '/paragonthemes/metabox/metabox-icon.php';

/**
 * Metabox for Team Section
 */

require get_template_directory() . '/paragonthemes/metabox/metabox-team.php';

/**
 * Metabox for Users Info Section
 */

require get_template_directory() . '/paragonthemes/hooks/users-info.php';


/*
* Including Custom Widget Files
=====================================
/**
 * Custom quote Widget
 */
require get_template_directory() . '/paragonthemes/widget/quote-widget.php';

/**
 * Custom Welcome Message Widget
 */
require get_template_directory() . '/paragonthemes/widget/welcome-msg-widget.php';

/**
 * Custom Feature Widget
 */
require get_template_directory() . '/paragonthemes/widget/feature-widget.php';

/**
 * Custom Services Widget
 */
require get_template_directory() . '/paragonthemes/widget/services-widget.php';

/**
 * Custom Mission Widget
 */
require get_template_directory() . '/paragonthemes/widget/mission-widget.php';

/**
 * Custom Recent Post Widget
 */
require get_template_directory() . '/paragonthemes/widget/recent-post-widget.php';

/**
 * Custom Testimonial  Widget
 */
require get_template_directory() . '/paragonthemes/widget/testimonial-widget.php';


/**
 * Custom Our Work Widget
 */
require get_template_directory() . '/paragonthemes/widget/our-work-widget.php';

/**
 * Custom Our Team Widget
 */
require get_template_directory() . '/paragonthemes/widget/team-widget.php';

/**
 * Custom Our Social Widget
 */
require get_template_directory() . '/paragonthemes/widget/social-widget.php';

/**
 * Custom Counter Widget
*/
require get_template_directory() . '/paragonthemes/widget/counter-widget.php';

/**
 * Custom clients Widget
*/
require get_template_directory() . '/paragonthemes/widget/clients-widget.php';
/**
 * Custom video Widget
*/
require get_template_directory() . '/paragonthemes/widget/video-widget.php';