<?php
/**
 * Slider Section
 *
 */
$wp_customize->add_section(
    'nexas_slider_section',
    array(
        'title'     => esc_html__('Slider Setting Option', 'nexas'),
        'panel'     => 'nexas_theme_options',
        'priority'  => 4,
    )
);
/**
 * Homepage Slider Repeater Section
 *
 */
$slider_pages = array();
$slider_pages_obj = get_pages();
$slider_pages[''] = esc_html__('Select Page For Slider','nexas');
foreach ($slider_pages_obj as $page) {
    $slider_pages[$page->ID] = $page->post_title;
}
$wp_customize->add_setting( 
    'nexas_slider_option', 
    array(
    'sanitize_callback' => 'nexas_sanitize_slider_data',
    'default'           => $default['nexas_slider_option']
) );
$wp_customize->add_control(
    new PT_Repeater_Control(
        $wp_customize,
        'nexas_slider_option',
        array(
            'label'                      => __('Slider Page Selection Section','nexas'),
            'description'                => __('Select Page For Slider Having Featured Image. You can drag to reposition the slider items','nexas'),
            'section'                    => 'nexas_slider_section',
            'settings'                   => 'nexas_slider_option',
            'repeater_main_label'        => __('Select Page For Slider ','nexas'),
            'repeater_add_control_field' => __('Add New Slide','nexas')
        ),
        array(
            'selectpage'                 => array(
            'type'                       => 'select',
            'label'                      => __( 'Select Page For Slide', 'nexas' ),
            'options'                    => $slider_pages
            ),
            'button_text'                => array(
            'type'                       => 'text',
            'label'                      => __( 'Button Text', 'nexas' ),
            ),
            'button_link'                => array(
            'type'                       => 'url',
            'label'                      => __( 'Button Link', 'nexas' ),
            ),
            'optional_button_text'       => array(
            'type'                       => 'text',
            'label'                      => __( 'Secondary Button Text', 'nexas' ),
            ),
            'optional_button_link'       => array(
            'type'                       => 'url',
            'label'                      => __( 'Secondary Button Link', 'nexas' ),
            ),
        )
    )
);

/**
 * Homepage Slider Section Show
 *
 */
$wp_customize->add_setting(
    'nexas_homepage_slider_option',
    array(
        'default'           => $default['nexas_homepage_slider_option'],
        'sanitize_callback' => 'nexas_sanitize_select',
    )
);
$hide_show_option = nexas_slider_option();
$wp_customize->add_control(
    'nexas_homepage_slider_option',
    array(
        'type'        => 'radio',
        'label'       => esc_html__('Slider Option', 'nexas'),
        'description' => esc_html__('Show/hide option for homepage Slider Section.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'choices'     => $hide_show_option,
        'priority'    => 7
    )
);

/**
 * Homepage Slider Section Type
 *
 */
/*$wp_customize->add_setting(
    'nexas_homepage_slider_type',
    array(
        'default'           => $default['nexas_homepage_slider_type'],
        'sanitize_callback' => 'nexas_sanitize_select',
    )
);
$slider_type_option = nexas_slider_type();
$wp_customize->add_control(
    'nexas_homepage_slider_type',
    array(
        'type'        => 'select',
        'label'       => esc_html__('Slider Types', 'nexas'),
        'description' => esc_html__('Select the type of slider from the available options.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'choices'     => $slider_type_option,
        'priority'    => 10
    )
);*/


/**
 * Homepage Slider Title Enable/Disable
 *
 */
$wp_customize->add_setting(
    'nexas_homepage_slider_title_option',
    array(
        'default'           => $default['nexas_homepage_slider_title_option'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_homepage_slider_title_option',
    array(
        'type'        => 'checkbox',
        'label'       => esc_html__('Hide Slider Title', 'nexas'),
        'description' => esc_html__('Checked to hide the Slider Title.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'priority'    => 10
    )
);

/**
 * Homepage Slider Tagline Enable/Disable
 *
 */
$wp_customize->add_setting(
    'nexas_homepage_slider_tagline_option',
    array(
        'default'           => $default['nexas_homepage_slider_tagline_option'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_homepage_slider_tagline_option',
    array(
        'type'        => 'checkbox',
        'label'       => esc_html__('Hide Slider Description', 'nexas'),
        'description' => esc_html__('Checked to hide the slider description.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'priority'    => 10
    )
);

/**
 * Homepage Slider Pren Next Enable/Disable
 *
 */
$wp_customize->add_setting(
    'nexas_homepage_slider_prev_next_option',
    array(
        'default'           => $default['nexas_homepage_slider_prev_next_option'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_homepage_slider_prev_next_option',
    array(
        'type'        => 'checkbox',
        'label'       => esc_html__('Prev/Next Show Hide', 'nexas'),
        'description' => esc_html__('Checked to hide Prev/Next.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'priority'    => 10
    )
);

/**
 * Homepage Slider Text Alignment 
 *
 */
/*$wp_customize->add_setting(
    'nexas_homepage_slider_text_alignment',
    array(
        'default'           => $default['nexas_homepage_slider_text_alignment'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$nexas_slider_alignment = nexas_slider_alignment();
$wp_customize->add_control(
    'nexas_homepage_slider_text_alignment',
    array(
        'type'        => 'select',
        'label'       => esc_html__('Text Alignment', 'nexas'),
        'description' => esc_html__('Select from the options.', 'nexas'),
        'section'     => 'nexas_slider_section',
        'choices'     => $nexas_slider_alignment,
        'priority'    => 10
    )
);*/