<?php
/**
 * Typography Options
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'nexas_color_options',
    array(
        'priority'       => 50,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => esc_html__('Theme Color Options', 'nexas'),
    )
);

/**
 * Basic Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_basic_color_option',
    array(
        'title'    => esc_html__('Basic Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);
/*
* Primary Color 
*/
$wp_customize->add_setting(
    'nexas_primary_color',
    array(
        'default'           => $default['nexas_primary_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'nexas_primary_color', array(
    'label'  => esc_html__('Primary Color', 'nexas'),
    'section'      => 'nexas_basic_color_option',
    'priority'     => 14,

)));


/**
 * Link Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_link_color',
    array(
        'default'           => $default['nexas_link_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_link_color', array(
    'label'        => esc_html__('Link Color', 'nexas'),
    'section'      => 'nexas_basic_color_option',
    'priority'     => 14,

)));

/**
 * Link Hover Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_link_hover_color',
    array(
        'default'           => $default['nexas_link_hover_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_link_hover_color', array(
    'label'        => esc_html__('Link Hover Color', 'nexas'),
    'section'      => 'nexas_basic_color_option',
    'priority'     => 14,

)));

/**
 * Top header Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_top_header_color_option',
    array(
        'title'    => esc_html__('Top Header Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);

/**
 * Top Header Background Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_top_header_background_color',
    array(
        'default'           => $default['nexas_top_header_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nexas_top_header_background_color', array(
    'label'         => esc_html__('Top Header Background Color', 'nexas'),
    'section'       => 'nexas_top_header_color_option',
    'priority'      => 14,

)));
/**
 * Top Header Text Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_top_header_text_color',
    array(
        'default'           => $default['nexas_top_header_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nexas_top_header_text_color', array(
    'label'         => esc_html__('Top Header Text Color', 'nexas'),
    'section'       => 'nexas_top_header_color_option',
    'priority'      => 14,

)));


/**
 * Menu Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_menu_color_option',
    array(
        'title'    => esc_html__('Menu Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);
/* 
* Menu Background Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'nexas_menu_background_color',
    array(
        'default'           => $default['nexas_menu_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nexas_menu_background_color', array(
    'label'         => esc_html__('Menu Background Color', 'nexas'),
    'section'       => 'nexas_menu_color_option',
    'priority'      => 14,

)));

/* 
* Menu Text Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'nexas_menu_text_color',
    array(
        'default'           => $default['nexas_menu_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nexas_menu_text_color', array(
    'label'         => esc_html__('Menu Text Color', 'nexas'),
    'section'       => 'nexas_menu_color_option',
    'priority'      => 14,

)));
/* 
* Menu Text Hover Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'nexas_menu_text_hover_color',
    array(
        'default'           => $default['nexas_menu_text_hover_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nexas_menu_text_hover_color', array(
    'label'         => esc_html__('Menu Active/Hover Text Color', 'nexas'),
    'section'       => 'nexas_menu_color_option',
    'priority'      => 14,

)));


/*-----------------------------------------------------------------------------*/
/**
 * Top Footer Color
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_footer_color_option',
    array(
        'title'    => esc_html__('Footer Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);

$wp_customize->add_setting(
    'nexas_top_footer_background_color',
    array(
        'default'           => $default['nexas_top_footer_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'nexas_top_footer_background_color', array(
    'label'       => esc_html__('Top Footer Background Color', 'nexas'),
    'section'     => 'nexas_footer_color_option',
    'priority'    => 14,

)));

/**
 * Top Footer Text Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_topfooter_text_color',
    array(
        'default'           => $default['nexas_topfooter_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_topfooter_text_color', array(
    'label'        => esc_html__('Top Footer Text Color', 'nexas'),
    'section'      => 'nexas_footer_color_option',
    'priority'     => 14,

)));


/*-----------------------------------------------------------------------------*/
/**
 * Bottom Footer Background Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_bottom_footer_background_color',
    array(
        'default'           => $default['nexas_bottom_footer_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_bottom_footer_background_color', array(
    'label'        => esc_html__('Bottom Footer Background Color', 'nexas'),
    'section'      => 'nexas_footer_color_option',
    'priority'     => 14,

)));


/**
 * Footer Text Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'nexas_footer_text_color',
    array(
        'default'           => $default['nexas_footer_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_footer_text_color', array(
    'label'        => esc_html__('Bottom Footer Text Color', 'nexas'),
    'section'      => 'nexas_footer_color_option',
    'priority'     => 14,

)));


/**
 * Sidebar Color 
 *
 * @since 1.0.0
 */
/*$wp_customize->add_section(
    'nexas_sidebar_color_option',
    array(
        'title'    => esc_html__('Sidebar Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);

$wp_customize->add_setting(
    'nexas_sidebar_background_color',
    array(
        'default'           => $default['nexas_sidebar_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_sidebar_background_color', array(
    'label'        => esc_html__('Sidebar Background Color', 'nexas'),
    'section'      => 'nexas_sidebar_color_option',
    'priority'     => 14,

)));*/

/**
 * Sidebar Text Color 
 *
 * @since 1.0.0
 */

/*$wp_customize->add_setting(
    'nexas_sidebar_text_color',
    array(
        'default'           => $default['nexas_sidebar_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_sidebar_text_color', array(
    'label'        => esc_html__('Sidebar Text Color', 'nexas'),
    'section'      => 'nexas_sidebar_color_option',
    'priority'     => 14,

)));*/

/**
 * Heading Text Color 
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_heading_color_option',
    array(
        'title'    => esc_html__('Heading Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);


$wp_customize->add_setting(
    'nexas_heading_text_color',
    array(
        'default'           => $default['nexas_heading_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_heading_text_color', array(
    'label'        => esc_html__('H1 - H6 Text Color', 'nexas'),
    'section'      => 'nexas_heading_color_option',
    'priority'     => 14,

)));

/**
 * Slider Text Color
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_slider_color_option',
    array(
        'title'    => esc_html__('Slider Color Options', 'nexas'),
        'panel'    => 'nexas_color_options',
        'priority' => 3,
    )
);


$wp_customize->add_setting(
    'nexas_heading_text_color',
    array(
        'default'           => $default['nexas_heading_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'nexas_heading_text_color', array(
    'label'        => esc_html__('Slider Text Color', 'nexas'),
    'section'      => 'nexas_slider_color_option',
    'priority'     => 14,

)));