<?php
/**
 * Copyright Info Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'nexas_copyright_info_section',
    array(
        'priority'        => 50,
        'capability'      => 'edit_theme_options',
        'theme_supports'  => '',
        'title'           => esc_html__('Footer Option', 'nexas'),
    )
);

/**
 * Field for Copyright
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_copyright',
    array(
        'default'           => $default['nexas_copyright'],
        'sanitize_callback' => 'wp_kses_post',
    )
);
$wp_customize->add_control(
    'nexas_copyright',
    array(
        'type'     => 'text',
        'label'    => esc_html__('Copyright', 'nexas'),
        'section'  => 'nexas_copyright_info_section',
        'priority' => 8
    )
);

/**
 * Powered By Text
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_powered_text',
    array(
        'default'           => $default['nexas_powered_text'],
        'sanitize_callback' => 'wp_kses_post',
    )
);
$wp_customize->add_control(
    'nexas_powered_text',
    array(
        'type'     => 'text',
        'label'    => esc_html__('Powered By Text Section', 'nexas'),
        'description'    => esc_html__('Write your own powered by Text in Footer.', 'nexas'),
        'section'  => 'nexas_copyright_info_section',
        'priority' => 8
    )
);

/**
 * Footer Menu
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_footer_menu',
    array(
        'default'           => $default['nexas_footer_menu'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_footer_menu',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Enable/Disable Footer Menu', 'nexas'),
        'description'    => esc_html__('Manage Menu from Appearance > Menus.', 'nexas'),
        'section'  => 'nexas_copyright_info_section',
        'priority' => 8
    )
);


/**
 * Social Icons
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_footer_social',
    array(
        'default'           => $default['nexas_footer_social'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_footer_social',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Enable/Disable Social Icons ', 'nexas'),
        'description'    => esc_html__('Manage Social from Appearance > Menus.', 'nexas'),
        'section'  => 'nexas_copyright_info_section',
        'priority' => 8
    )
);

/**
 * Go to Top
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'nexas_footer_go_to_top',
    array(
        'default'           => $default['nexas_footer_go_to_top'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nexas_footer_go_to_top',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Enable/Disable Go to top ', 'nexas'),
        'description'    => esc_html__('Go to top Option for Footer Section', 'nexas'),
        'section'  => 'nexas_copyright_info_section',
        'priority' => 8
    )
);

