<?php 
/*-------------------------------------------------------------------------------------------*/
/**
 * Theme Option
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'nexas_single_page_options',
    array(
        'priority'       => 50,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => esc_html__('Single Page & Post Options', 'nexas'),
    )
);

/**
 * Single Post Options
 *
 */
$wp_customize->add_section(
    'nexas_single_post_page_section',
    array(
        'title'    => esc_html__('Single Post Options', 'nexas'),
        'panel'    => 'nexas_single_page_options',
        'priority' => 7,
    )
);


/**
 * Feature Image Option Single Post
 */
$wp_customize->add_setting(
    'nexas_show_feature_image_single_option',
    array(
        'default'           => $default['nexas_show_feature_image_single_option'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_show_feature_image_single_option',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Hide Feature Image', 'nexas'),
        'section'  => 'nexas_single_post_page_section',
        'priority' => 5
    )
);

/**
 * Meta Options for Single Post
 */
$wp_customize->add_setting(
    'nexas_meta_fields_single_option',
    array(
        'default'           => $default['nexas_meta_fields_single_option'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_meta_fields_single_option',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Hide Meta Fields', 'nexas'),
        'section'  => 'nexas_single_post_page_section',
        'priority' => 6
    )
);
/**
 * Author Info
*/
$wp_customize->add_setting(
    'nexas_author_info_show_hide_section',
    array(
        'default'           => $default['nexas_author_info_show_hide_section'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_author_info_show_hide_section',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show/Hide Author Info', 'nexas'),
        'description'=> esc_html__('Manage Social Links and Descriptions of users from Users > All Users > Edit ', 'nexas'),
        'section'  => 'nexas_single_post_page_section',
        'priority' => 6
    )
);

/**
 * Single Page Options
 *
 */
$wp_customize->add_section(
    'nexas_single_page_section',
    array(
        'title'    => esc_html__('Single Page Options', 'nexas'),
        'panel'    => 'nexas_single_page_options',
        'priority' => 7,
    )
);

/**
 * Feature Image Option Single Page
 */
$wp_customize->add_setting(
    'nexas_show_feature_image_single_page',
    array(
        'default'           => $default['nexas_show_feature_image_single_page'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_show_feature_image_single_page',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Hide Feature Image ', 'nexas'),
        'section'  => 'nexas_single_page_section',
        'priority' => 5
    )
);

/* ========================
* Related Post Section 
===========================*/
$wp_customize->add_section(
    'nexas_single_related_post_section',
    array(
        'title'    => esc_html__('Related Post Options', 'nexas'),
        'panel'    => 'nexas_single_page_options',
        'priority' => 7,
    )
);

/**
 * Show Hide Related Post In Single Post 
*/
$wp_customize->add_setting(
    'nexas_related_post_show_hide',
    array(
        'default'           => $default['nexas_related_post_show_hide'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_related_post_show_hide',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show Related Post ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Related Post Title
*/
$wp_customize->add_setting(
    'nexas_related_post_title',
    array(
        'default'           => $default['nexas_related_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'nexas_related_post_title',
    array(
        'type'     => 'text',
        'label'    => esc_html__('Related Post Title ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Related Post Number
*/
$wp_customize->add_setting(
    'nexas_related_post_number',
    array(
        'default'           => $default['nexas_related_post_number'],
        'sanitize_callback' => 'nexas_sanitize_number',
    )
);

$wp_customize->add_control(
    'nexas_related_post_number',
    array(
        'type'     => 'number',
        'label'    => esc_html__('Related Post Number ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Hide Featured Image
*/
$wp_customize->add_setting(
    'nexas_related_hide_featured_image',
    array(
        'default'           => $default['nexas_related_hide_featured_image'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_related_hide_featured_image',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show Featured Image ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Show Posts Title 
*/
$wp_customize->add_setting(
    'nexas_related_posts_title_show',
    array(
        'default'           => $default['nexas_related_posts_title_show'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_related_posts_title_show',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show Posts Title ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Show Posts Excerpts 
*/
$wp_customize->add_setting(
    'nexas_related_posts_excerpt_show',
    array(
        'default'           => $default['nexas_related_posts_excerpt_show'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_related_posts_excerpt_show',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show Posts Excerpt ', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);

/**
 * Show Meta Options 
*/
$wp_customize->add_setting(
    'nexas_related_posts_meta_options',
    array(
        'default'           => $default['nexas_related_posts_meta_options'],
        'sanitize_callback' => 'nexas_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'nexas_related_posts_meta_options',
    array(
        'type'     => 'checkbox',
        'label'    => esc_html__('Show Meta Items', 'nexas'),
        'section'  => 'nexas_single_related_post_section',
        'priority' => 10
    )
);