<?php
if (!class_exists( 'Nexas_Counter_Widget' ) ) {
    
    class Nexas_Counter_Widget extends WP_Widget
    
    {
        private function defaults()
        {
            $defaults             = array(
                'title'           => esc_html__('Counter Section', 'nexas'),
                'sub_title'       => esc_html__('Your Success', 'nexas'),
                'counter_title'   => '',
                'counter_icon'   => '',
                'counter_value'   => '',
                'background-image' => '',
            );

            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'nexas-counter',
                esc_html__( 'Nexas Counter Widget', 'nexas' ),
                array( 'description' => esc_html__( 'Nexas Counter Widget', 'nexas' ) )
            );
        }

        public function widget( $args, $instance )
        {

            if ( !empty( $instance ) ) {
                $instance        = wp_parse_args( (array )$instance, $this->defaults() );
                
                $title          = apply_filters('widget_title', !empty($instance['title']) ?esc_html($instance['title']) : '', $instance, $this->id_base);
                $sub_title = esc_html( $instance['sub_title'] );
                 
                $bgimage = esc_attr($instance[ 'background-image']);

                $features = ( ! empty( $instance['features'] ) ) ? $instance['features'] : array();
              
                echo $args['before_widget']; ?>
                <section id="section3" class="section3-background img-position"   style="<?php if(!empty($bgimage)) { ?>background: url(<?php echo $bgimage; ?>);<?php } else { ?><?php } ?>">
                    <div class="section-margine overley counter-wrapper"> 
                        <div class="container">
                            <div class="row">
                             <div class="section-title">  
                                    <?php if(!empty( $title ) ) { ?>
                                    
                                    <h2 class="widgettitle"><?php echo esc_html( $title );?></h2>
                                    <hr>
                                    <?php 
                                    }
                                    if( !empty( $sub_title ) ) {
                                    ?>
                                    <h6><?php echo esc_html( $sub_title);?></h6>
                                    <?php } ?> 
                                </div>                         
                                <?php
                                $count = 0;
                                foreach ($features as $feature)
                                    {
                                       if (!empty($feature['counter_title']) && !empty($feature['counter_icon']) && !empty($feature['counter_value']))
                                        {
                                            $count = $count + 1;
                                        }
                                    }

                                foreach ($features as $feature)
                                {
                                    $title = $feature['counter_title'];
                                    $icon  = $feature['counter_icon'];
                                    $value = $feature['counter_value'];
                                    $colsm = "";
                                    if (!empty($icon) && !empty($value) && !empty($title))
                                    {
                                        if ($count == 4)
                                        {
                                            $colsm = 3;
                                        } elseif ($count == 3)
                                        {
                                            $colsm = 4;
                                        } elseif ($count == 2)
                                        {
                                            $colsm = 6;
                                        } elseif ($count == 1)
                                        {
                                            $colsm = 12;
                                        }

                                        ?>
                                        <div class="col-md-<?php echo esc_attr( $colsm ); ?>">
                                            <div class="section-3-box wow fadeInUp">
                                                <div class="icon-wrapper">
                                                <i class="fa <?php echo esc_attr( $icon ); ?>"></i>
                                                </div>
                                                <h3>
                                                    <span class="counter"><?php echo esc_html( $value ); ?></span>
                                                </h3>
                                                <h4><?php echo esc_html( $title ); ?></h4>
                                            </div>
                                        </div>
                                    <?php }
                                } ?>

                            </div>
                        </div>
                    </div>
                </section>

                <?php echo $args['after_widget'];
            }
        }

        public function update( $new_instance, $old_instance )
        {
            $instance                    = $old_instance;
            $instance['title'] = sanitize_text_field( $new_instance['title'] );
            $instance['sub_title'] = sanitize_text_field( $new_instance['sub_title'] );
            $instance['background-image'] = esc_url_raw($new_instance['background-image']);
          
           foreach($new_instance['features'] as $feature)
           {
                $feature['counter_title'] = sanitize_text_field( $feature['counter_title'] );
                $feature['counter_icon'] = sanitize_text_field( $feature['counter_icon'] );
                $feature['counter_value'] = absint( $feature['counter_value'] );



            }
              $instance['features'] = $new_instance['features'];

              var_dump($instance['features']);
      

          
              return $instance;
        }

        public function form( $instance )
        
        {
            $instance = wp_parse_args((array )$instance, $this->defaults());
           
            $features = ( ! empty( $instance['features'] ) ) ? $instance['features'] : array(); 
            $title = esc_attr( $instance['title'] );
            $sub_title = esc_attr( $instance['sub_title'] );
            $bgimage = esc_attr($instance['background-image']);
            ?>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'nexas'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title')); ?>" class="nexas-cons" id="<?php echo esc_attr($this->get_field_id('title')); ?>" value="<?php echo $title ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('sub_title')); ?>"><?php esc_html_e('Subtitle', 'nexas'); ?></label><br/>
                <textarea class="widefat" rows="5" cols="15" name="<?php echo esc_attr( $this->get_field_name('sub_title')); ?>" class="nexas-cons" id="<?php echo esc_attr($this->get_field_id('sub_title')); ?>" value="<?php echo $sub_title; ?>"><?php echo $sub_title; ?>
                </textarea>
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('background-image') ); ?>">
                    <strong><?php echo esc_html__('Background Image', 'nexas'); ?></strong>
                </label>
                <br/>
                <?php
                    echo '<img class="custom_media_image" src="' . esc_url($instance['background-image']) . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
                 ?>

                <input type="text" class="widefat custom_media_url " name="<?php echo esc_attr($this->get_field_name('background-image')); ?>" id="<?php echo esc_attr($this->get_field_id('background-image')); ?>" value="<?php echo $bgimage; ?>"/>
                <input type="button" class="button button-primary media-image-upload custom_media_button widefat" id="custom_media_button" name="<?php echo esc_attr($this->get_field_name('background-image')); ?>" value="<?php esc_attr_e('Upload Image', 'nexas') ?>"/> 


            </p>
         <span class="nexas-counter-additional">
             <?php
                $c = 0;
                if ( count( $features ) > 0 ) {
                    foreach( $features as $feature ) 
                    { 
                     if ( isset( $feature['counter_title'] ) || isset( $feature['counter_icon'] ) || isset( $feature['counter_value'] ) ) 
                        
                        { 
                            ?>
                     
                               <div class="nexas-counter-section">    
                                <p>
                                    <label for="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_title]'; ?>"><?php esc_html_e('Counter Title', 'nexas'); ?></label><br/>
                                    <input type="text" name="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_title]'; ?>" class="nexas-cons" id="<?php echo $this->get_field_id( 'features' ) .'-'. $c.'-counter_title'; ?>" value="<?php echo $feature['counter_title']; ?>">
                                </p>
                                <p>
                                    <label for="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_icon]'; ?>"><?php esc_html_e('Counter Icons ', 'nexas'); ?></label><br/>
                                    <small>
                                          <em>
                                            <?php
                                            esc_html_e( 'Font Awesome Icon Used in Widgets', 'nexas');
                                            printf( __( '%1$sRefer here%2$s for icon class. For example: %3$sfa-desktop%4$s', 'nexas'), '<br /><a href="'.esc_url( 'http://fontawesome.io/cheatsheet/' ).'" target="_blank">','</a>',"<code>","</code>" );
                                            ?>
                                          </em>  
                                    </small>
                                    <br/>
                                    <input type="text" name="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_icon]'; ?>" class="nexas-cons" id="<?php echo $this->get_field_id( 'features' ) .'-'. $c.'-counter_icon'; ?>" value="<?php echo $feature['counter_icon']; ?>">
                                </p>
                                <p>
                                    <label for="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_value]'; ?>"><?php esc_html_e(' Counter Value', 'nexas'); ?></label><br/>
                                    <input type="number" name="<?php echo $this->get_field_name( 'features' ) . '['.$c.'][counter_value]'; ?>" class="nexas-cons" id="<?php echo $this->get_field_id( 'features' ) .'-'. $c.'-counter_value'; ?>" value="<?php echo $feature['counter_value']; ?>">
                                </p>
                             <a class="nexas-counter-remove delete"><?php _e('Remove Counter Section','nexas'); ?></a>    
                           </div>
            <?php
                        }
                     $c++;
                   }
     } ?>
     </span>
     <a class="nexas-counter-add button"><strong><?php _e('Add New Counter Section','nexas'); ?></strong></a> 
<?php
  }

 }
}
add_action( 'widgets_init', 'nexas_counter_widget' );

function nexas_counter_widget()
{
    register_widget( 'Nexas_Counter_Widget' );

}