<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Paragon Themes
 * @subpackage Nexas
 */
$hide_show_feature_image = nexas_get_option( 'nexas_show_feature_image_single_option' );
$hide_show_meta_fields = nexas_get_option( 'nexas_meta_fields_single_option' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  
    <div class="section-14-box wow fadeInUp <?php if(!has_post_thumbnail() || $hide_show_feature_image=='hide') { echo'no-image'; }?>">
       
        <figure>
       
            <?php
            if( has_post_thumbnail() && $hide_show_feature_image == 0 ) {
            ?>
                <?php the_post_thumbnail( 'full' ); ?>

            <?php } ?>
       
        </figure>

        <div class="entry-box">
            <?php if( $hide_show_meta_fields == 0 ) { 

                /**
                 * nexas_meta_fields_section hook
                 * @since Nexas 1.0.0
                 *
                 * @hooked nexas_meta_fields_section_action -  10
                 */
                do_action('nexas_meta_fields_section_action');
            } ?>             
            <div class="post-des">
                <?php the_content();
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:','nexas' ),
                        'after'  => '</div>',
                      ) );
                ?>
            </div>
            
            <?php if ( get_edit_post_link() ) : ?>
                
                <footer class="entry-footer">
                  
                  <?php
                    edit_post_link(
                      sprintf(
                        /* translators: %s: Name of current post */
                        esc_html__( 'Edit %s','nexas'),
                        the_title( '<span class="screen-reader-text">"', '"</span>', false )
                      ),
                      '<span class="edit-link">',
                      '</span>'
                    );
                  ?>
            
                </footer><!-- .entry-footer -->
            
            <?php endif; ?>
        
        </div>
           
 </article><!-- #post-## -->         
          